Sun Java System Message Queue 4.2 Installation Guide

Supported Platforms and Components

Message Queue 4.2 is supported on Solaris, Linux, and Windows operating system platforms. Table 1–1 shows the supported versions of each of these platforms. The chapters that follow describe the hardware requirements for each of these platforms and provide platform-specific installation instructions.

Table 1–1 Supported Platform Versions


Supported Versions 


Solaris 9 (SunOS 5.9), all updates (SPARC, x86)

Solaris 10 (SunOS 5.10), all updates (SPARC, x86, x64)


Red Hat Enterprise Linux Advanced Server 3.0, 4.0, 5.0, all updates, 32– and 64–bit versions (x86, x64)

Red Hat Enterprise Linux Enterprise Server 3.0, 4.0, 5.0, all updates, 32– and 64–bit versions (x86, x64)


Windows Vista 

Windows XP Professional, SP2 (x86) [No Home, Tablet PC, or Media Center Edition support]

Windows 2000 Advanced Server, SP4 (x86) [No Professional or Server Edition support]

Windows Server 2003 Standard and Enterprise Editions, SP2, 32– and 64–bit versions (x86, x64) [No Web or Small Business Server Edition support]

In addition to platform-specific requirements, Message Queue 4.2 also depends on a number of required and optional software components. These components, which include the Java Runtime Environment (JRE) and Java Software Development Kit (JDK), are specified in Component Dependencies in Sun Java System Message Queue 4.2 Release Notes. Please check these software dependencies before installing Message Queue 4.2.

Note –

The Message Queue 4.2 Installer automatically installs the required JDK version as of the time of release.